@import "./responsive";
@import "./overrides";
@import "../components/page-header";
@import "../components/flat-input";



*::after,
*::before {
    box-sizing: inherit;
}

html {
    box-sizing: border-box;
    font-size: 62.5%;

    @include respond(laptop) {
        font-size: 55.5% !important;
    }

    @include respond(tab-land) {
        font-size: 50% !important;
    }

    @include respond(phone) {
        font-size: 48.5% !important;
    }
}

body {
    font-family: "Roboto", sans-serif;
    font-weight: 400;
    line-height: 1.6;
    margin: 0;
    padding: 0;
}

h1,
h2,
h3,
h4,
h5,
h6,
p {
    padding: 0 !important;
    margin: 0 !important;
}

.txt-size-20{
    font-size: 1.6rem !important;
    @include respond(phone){
        font-size: 1.2rem !important;
    }
}

.flex {
    display: flex;

    &-md-col {
        @include respond(tab-land) {
            flex-direction: column;
        }
    }

    &-row {
        flex-direction: row;
    }

    &-row-reverse {
        flex-direction: row-reverse;
    }

    &-column {
        flex-direction: column;
    }

    &-column-reverse {
        flex-direction: column-reverse;
    }
}

.flex-justify {
    &-center {
        justify-content: center;
    }
    &-end {
        justify-content: flex-end;
    }
    &-start {
        justify-content: flex-start;
    }
    &-space-between {
        justify-content: space-between;
    }
    &-space-around {
        justify-content: space-around;
    }
    &-space-evenly {
        justify-content: space-evenly;
    }
}

.flex-align {
    &-center {
        align-items: center;
    }
    &-end {
        align-items: flex-end;
    }
    &-start {
        align-items: flex-start;
    }
}

.h-100 {
    height: 100%;
}

.w-20 {
    width: 20%;
}

.vh-100 {
    height: 100vh;
}

.w-100 {
    width: 100%;
}

.vw-100 {
    width: 100vw !important;
}

.ml-2 {
    margin-left: 2rem !important;
}

.ml-3 {
    margin-left: 3rem !important;
}

.ml-0-5 {
    margin-left: 0.5rem !important;
}

.ml-1 {
    margin-left: 1rem !important;
}

.mr-2 {
    margin-right: 2rem !important;
}

.mt-1 {
    margin-top: 1rem !important;
}
.mt-2 {
    margin-top: 2rem !important;
}

.mt-3 {
    margin-top: 3rem !important;
}

.pxy-0-1 {
    padding: 0 1rem !important;
}

.pxy-0-2 {
    padding: 0 2rem !important;
}

.pxy-5 {
    padding: 0.5rem 1rem !important;
}

.p-1 {
    padding: 1rem !important;
}

.p-2 {
    padding: 2rem !important;
}

.p-10 {
    padding: 1rem !important;
}

.p-r-20-perc {
    padding-right: 20%;
}

.align-txt {
    &-center {
        text-align: center;
    }

    &-right {
        text-align: right;
    }

    &-left {
        text-align: left;
    }
}
